# MIPS Processor: Windows CE PE File Format

Assembler code

```
.text:10001140                 lw      $a0, 0x58+var_18($sp)
.text:10001144                 lw      $a1, 0x58+var_14($sp)
.text:10001148                 jal     memcpy
.text:1000114C                 li      $a2, 0x400
.text:10001150                 lw      $t7, ReleaseMutex
.text:10001158                 lw      $a0, 0x58+var_1C($sp)
.text:1000115C                 jalr    $t7
.text:10001160                 nop
.text:10001164                 lw      $t8, CloseHandle
.text:1000116C                 lw      $a0, 0x58+var_1C($sp)
.text:10001170                 jalr    $t8
.text:10001174                 nop
.text:10001178                 jal     LoadLibraryW
.text:1000117C                 lw      $a0, 0x58+var_18($sp)
.text:10001180                 beqz    $v0, loc_100011D0
.text:10001184                 move    $a0, $v0
.text:10001188                 lw      $t9, GetProcAddressW
.text:10001190                 li      $a1, aCreatetranspor  # "CreateTransport"
.text:10001198                 jalr    $t9
.text:1000119C                 nop
.text:100011A0                 jalr    $v0
.text:100011A4                 nop
.text:100011A8                 sw      $v0, dword_100030C4
.text:100011B0                 lw      $t1, 0($v0)
.text:100011B4                 lw      $t0, 0x58+var_18($sp)
.text:100011B8                 move    $a0, $v0
.text:100011BC                 lw      $t2, 4($t1)
.text:100011C0                 addiu   $a1, $t0, 0x20C
.text:100011C4                 lw      $a2, 0x208($t0)
.text:100011C8                 jalr    $t2
.text:100011CC                 nop
.text:100011D0
.text:100011D0 loc_100011D0:                            # CODE XREF: CreateStream+180↑j
.text:100011D0                 jal     UnmapViewOfFile
.text:100011D4                 lw      $a0, 0x58+var_18($sp)

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hex-rays.com/ida-9.2/user-guide/disassembler/disassembly-gallery/mips-processor-windows-ce-pe-file-format.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
